﻿$ErrorActionPreference = 'Stop'

$toolsPath = $(Split-Path -Parent $MyInvocation.MyCommand.Definition)

$pkgArgs = @{
  packageName    = 'cameraraw'
  url            = 'http://download.adobe.com/pub/adobe/photoshop/cameraraw/win/9.x/CameraRaw_9_12_1_win.zip'
  url64          = 'http://download.adobe.com/pub/adobe/photoshop/cameraraw/win/9.x/CameraRaw_9_12_1_win.zip'
  checksum       = 'a224ad57bcf275d2df0b239f0461048d5207c0b963bb8ebd6bda924f4bf86424'
  checksum64     = 'a224ad57bcf275d2df0b239f0461048d5207c0b963bb8ebd6bda924f4bf86424'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  unzipLocation  = "$toolsPath"
}

Install-ChocolateyZipPackage @pkgArgs

# Run the installer using [ahk](https://autohotkey.com/)
Push-Location $toolsPath
Start-Process -FilePath 'AutoHotKey' -ArgumentList 'setup.ahk' -PassThru
Pop-Location
